Bug 182875 - graphics/dri: make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UI915}})
Summary: graphics/dri: make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed con...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-10 13:30 UTC by Anton Shterenlikht
Modified: 2014-01-31 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Shterenlikht 2013-10-10 13:30:00 UTC
# make -C /usr/ports/graphics/dri config
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UI915}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UI965}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UR200}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:URADEON}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:USWRAST}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UI810}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UMACH64}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UMGA}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UR128}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UR300}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UR600}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:USAVAGE}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:USIS}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UTDFX}})
make: "/usr/ports/graphics/dri/Makefile" line 82: Malformed conditional (${DRI_DRIVERS:M${:UUNICHROME}})
make: Fatal errors encountered -- cannot continue
make: stopped in /usr/ports/graphics/dri
#
Comment 1 Alex Kozlov freebsd_committer 2013-10-14 12:53:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer.
Comment 2 dfilter service freebsd_committer 2014-01-31 20:49:26 UTC
Author: kwm
Date: Fri Jan 31 20:49:18 2014
New Revision: 342067
URL: http://svnweb.freebsd.org/changeset/ports/342067
QAT: https://qat.redports.org/buildarchive/r342067/

Log:
  Make sure DIR_DRIVERS is always defined. This is needed because arm/mips
  don't have any drivers defined which results in make errors.
  
  PR:		ports/182875 [1]
  Submitted by:	Anton Shterenlikht <mexas@bris.ac.uk> [1], mat@

Modified:
  head/graphics/dri/Makefile

Modified: head/graphics/dri/Makefile
==============================================================================
--- head/graphics/dri/Makefile	Fri Jan 31 20:47:43 2014	(r342066)
+++ head/graphics/dri/Makefile	Fri Jan 31 20:49:18 2014	(r342067)
@@ -72,6 +72,9 @@ DRI_DRIVERS=	MACH64 RADEON SWRAST
 . endif
 .endif # defined(WITH_NEW_XORG)
 
+# empty for unsupported arches
+DIR_DRIVERS+=
+
 .for _d in ${ALL_DRI_DRIVERS}
 .if ${DRI_DRIVERS:M${_d}}
 PLIST_SUB+=	${_d}_DRIVER=""
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Koop Mast freebsd_committer 2014-01-31 20:49:36 UTC
State Changed
From-To: open->closed

Fix the problem.